KeyVaultConnectionsOperations Class
KeyVaultConnectionsOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectKeyVaultConnectionsOperations
Constructor
KeyVaultConnectionsOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Methods
| create |
Creates an instance of a key vault connection. |
| delete |
Deletes the key vault connection associated with the account. |
| get |
Gets key vault information. |
| list_all |
List key vault connections in account. |
create
Creates an instance of a key vault connection.
create(key_vault_name: str, body: Any, **kwargs: Any) -> Any
Parameters
- key_vault_name
- str
- body
- <xref:Any>
Returns
JSON object
Return type
Exceptions
Examples
# JSON input template you can fill out and use as your body input.
body = {
"id": "str", # Optional.
"name": "str", # Optional.
"properties": {
"baseUrl": "str", # Optional.
"description": "str" # Optional.
}
}
# response body for status code(s): 200
response.json() == {
"id": "str", # Optional.
"name": "str", # Optional.
"properties": {
"baseUrl": "str", # Optional.
"description": "str" # Optional.
}
}
delete
Deletes the key vault connection associated with the account.
delete(key_vault_name: str, **kwargs: Any) -> Optional[Any]
Parameters
- key_vault_name
- str
Returns
JSON object
Return type
Exceptions
Examples
# response body for status code(s): 200
response.json() == {
"id": "str", # Optional.
"name": "str", # Optional.
"properties": {
"baseUrl": "str", # Optional.
"description": "str" # Optional.
}
}
get
Gets key vault information.
get(key_vault_name: str, **kwargs: Any) -> Any
Parameters
- key_vault_name
- str
Returns
JSON object
Return type
Exceptions
Examples
# response body for status code(s): 200
response.json() == {
"id": "str", # Optional.
"name": "str", # Optional.
"properties": {
"baseUrl": "str", # Optional.
"description": "str" # Optional.
}
}
list_all
List key vault connections in account.
list_all(**kwargs: Any) -> Iterable[Any]
Returns
An iterator like instance of JSON object
Return type
Exceptions
Examples
# response body for status code(s): 200
response.json() == {
"count": 0.0, # Optional.
"nextLink": "str", # Optional.
"value": [
{
"id": "str", # Optional.
"name": "str", # Optional.
"properties": {
"baseUrl": "str", # Optional.
"description": "str" # Optional.
}
}
]
}
Feedback
Submit and view feedback for